public static interface MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsBuilders
| Modifier and Type | Method and Description |
|---|---|
default MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsEndpointBuilder |
microprofileMetrics(String path)
MicroProfile Metrics (camel-microprofile-metrics)
Expose metrics from Camel routes.
|
default MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsEndpointBuilder |
microprofileMetrics(String componentName,
String path)
MicroProfile Metrics (camel-microprofile-metrics)
Expose metrics from Camel routes.
|
default MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsEndpointBuilder microprofileMetrics(String path)
microprofile-metrics:metricType:metricName
Path parameter: metricType (required)
Metric type
The value can be one of: concurrent gauge, counter, gauge, meter,
histogram, timer, simple timer, invalid
Path parameter: metricName (required)
Metric namepath - metricType:metricNamedefault MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsEndpointBuilder microprofileMetrics(String componentName, String path)
microprofile-metrics:metricType:metricName
Path parameter: metricType (required)
Metric type
The value can be one of: concurrent gauge, counter, gauge, meter,
histogram, timer, simple timer, invalid
Path parameter: metricName (required)
Metric namecomponentName - to use a custom component name for the endpoint
instead of the default namepath - metricType:metricNameApache Camel